package com.cnd3b.common;

public class D3BReturnObject_Err extends D3BReturnObject {

    public D3BReturnObject_Err(Controller controller) {
        super(controller);
        this.put("msg", "失败");
        this.put("code", 0);
        this.put("data", "失败");
    }

    public D3BReturnObject_Err() {
        this.put("msg", "失败");
        this.put("code", 0);
        this.put("data", "失败");
    }

    public D3BReturnObject_Err setErrMsg(String errmsg) {
        this.put("data", errmsg);
        return this;
    }

    public D3BReturnObject_Err setErrCode(String errcode) {
        this.put("code", errcode);
        return this;
    }

    public D3BReturnObject_Err addKeyValue(String key, Object value) {
        this.put(key, value);
        return this;
    }
}
